Main Page Widgets Namespaces Book

# Gtk::Printer Class Reference

Inheritance diagram for Gtk::Printer:

[legend]
List of all members.

## Public Member Functions

bool | equal (const Glib::RefPtr<Printer>& other) const
Glib::ustring | get_description () const
Glib::ustring | get_icon_name () const
Glib::ustring | get_location () const
Glib::ustring | get_name () const
Glib::ustring | get_state_message () const
const GtkPrinter* | gobj () const
| Provides access to the underlying C GObject.
GtkPrinter* | gobj ()
| Provides access to the underlying C GObject.
GtkPrinter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_active () const
bool | is_default () const
bool | is_virtual () const
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The icon name to use for the printer.
Glib::PropertyProxy_ReadOnly< bool > | property_is_virtual () const
| FALSE if this represents a real hardware printer.
Glib::PropertyProxy_ReadOnly< int > | property_job_count () const
| Number of jobs queued in the printer.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_location () const
| The location of the printer.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| Name of the printer.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_state_message () const
| String giving the current state of the printer.
Glib::SignalProxy1< void, bool > | signal_details_acquired ()
virtual | ~Printer ()

## Protected Member Functions

virtual void | on_details_acquired (bool success)

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const Glib::RefPtr<Printer>& lhs, const Glib::RefPtr<Printer>& rhs)
bool | operator== (const Glib::RefPtr<Printer>& lhs, const Glib::RefPtr<Printer>& rhs)
Glib::RefPtr<Gtk::Printer> | wrap (GtkPrinter* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Printer::~Printer | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Gtk::Printer::equal | ( | const Glib::RefPtr<Printer>& | other | ) | const

Glib::ustring Gtk::Printer::get_description | ( |  | ) | const

Glib::ustring Gtk::Printer::get_icon_name | ( |  | ) | const

Glib::ustring Gtk::Printer::get_location | ( |  | ) | const

Glib::ustring Gtk::Printer::get_name | ( |  | ) | const

Glib::ustring Gtk::Printer::get_state_message | ( |  | ) | const

const GtkPrinter* Gtk::Printer::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrinter* Gtk::Printer::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrinter* Gtk::Printer::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::Printer::is_active | ( |  | ) | const

bool Gtk::Printer::is_default | ( |  | ) | const

bool Gtk::Printer::is_virtual | ( |  | ) | const

virtual void Gtk::Printer::on_details_acquired | ( | bool | success | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Printer::property_icon_name | ( |  | ) | const

The icon name to use for the printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Printer::property_is_virtual | ( |  | ) | const

FALSE if this represents a real hardware printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Printer::property_job_count | ( |  | ) | const

Number of jobs queued in the printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Printer::property_location | ( |  | ) | const

The location of the printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Printer::property_name | ( |  | ) | const

Name of the printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Printer::property_state_message | ( |  | ) | const

String giving the current state of the printer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy1<void,bool> Gtk::Printer::signal_details_acquired | ( |  | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const Glib::RefPtr<Printer>& | lhs,
|  | const Glib::RefPtr<Printer>& | rhs
| ) | `[related]`

bool operator== | ( | const Glib::RefPtr<Printer>& | lhs,
|  | const Glib::RefPtr<Printer>& | rhs
| ) | `[related]`

Glib::RefPtr<Gtk::Printer> wrap | ( | GtkPrinter* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printer.h